
local addon, ns = ...
local cfg = CreateFrame("Frame")
local media = "Interface\\AddOns\\oUF_DHUD\\media\\"

cfg.units = {

	scale = 0.85,

	player = {
		point = "CENTER",
		x = -225,
		y = 0,
	},

	target = {
		point = "CENTER",
		x = 225,
		y = 0,
	},

}

cfg.media = {

	player_hp = media.."player_hp",
	player_mp = media.."player_mp",
	target_hp = media.."target_hp",
	target_mp = media.."target_mp",

}


ns.cfg = cfg
