-- oUF_DHUD by: Cirax @ WoWInterface.com
-- This is a remake of the once popular Nurfed_HUD
--   style TwinDragons back during vanilla wow.

  
local addon, ns = ...
local cfg = ns.cfg
local lib = ns.lib
  
			
oUF.colors.smooth = {0, 0, 0, 0, 0, 0, 0, 0, 0,}

local UnitSpecific = {

	player = function(self, ...)

		self.mystyle = "player"

		self:SetScale(cfg.units.scale)
		self:SetSize(200, 400)

		lib.gen_hpbar(self)
		lib.gen_ppbar(self)
		lib.gen_RaidMark(self)	

		self.Health.frequentUpdates = true
		self.Health.colorSmooth = true
		self.Health.Smooth = true
		self.Power.colorPower = false
		self.Power.Smooth = true
		self.Power.colorClass = true
		self.Power.frequentUpdates = true

		self.BarFade = true
		self.BarFadeMinAlpha = -1
		
	end,
	
	target = function(self, ...)
	
		self.mystyle = "target"
		
		self:SetScale(cfg.units.scale)
		self:SetSize(200, 400)

		lib.gen_hpbar(self)
		lib.gen_ppbar(self)
		lib.gen_RaidMark(self)
		
		self.Health.frequentUpdates = true
		self.Health.colorSmooth = true
		self.Health.Smooth = true
		self.Power.frequentUpdates = true
		self.Power.Smooth = true
		self.Power.colorTapping = true
		self.Power.colorDisconnected = true
		self.Power.colorHappiness = false
		self.Power.colorHealth = true
		self.Power.colorReaction = true
		self.Power.colorClass = true

	end
}	
  

local GlobalStyle = function(self, unit, isSingle)

	self.menu = lib.spawnMenu
	self:RegisterForClicks('AnyDown')
	
	-- Call Unit Specific Styles
	if(UnitSpecific[unit]) then
		return UnitSpecific[unit](self)
	end
end


oUF:RegisterStyle("dhud", GlobalStyle)

oUF:Factory(function(self)
   self:SetActiveStyle('dhud')
   self:Spawn('player'):SetPoint("CENTER", UIParent, cfg.units.player.point, cfg.units.player.x, cfg.units.player.y)
   self:Spawn('target'):SetPoint("CENTER", UIParent, cfg.units.target.point, cfg.units.target.x, cfg.units.target.y)
end)